# Tarfile created from Mercurial repository
# hg clone https://rawtherapee.googlecode.com/hg/ %{name}-%{version}
# cd %{name}-%{version}
# hg update default
# rm -rf .hg*
# rm -rf doc/*.pdf
# rm -rf rawzor*
# rm -rf tools/createicon.exe
# tar -cjvf ~/%{name}-%{version}-%{prerelease}.tar.bz2 ../%{name}-%{version}
%global prerelease hg
%global tarfile %{name}-%{version}-%{prerelease}.tar.bz2

Name:           rawtherapee-staging
Version:        4.0.9
Release:        0.4.%{prerelease}%{?dist}
Summary:        Raw image processing software

Group:          Applications/Multimedia 
License:        GPLv3 and MIT and IJG
URL:            http://www.rawtherapee.com/
Source0:        %{tarfile}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.6
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkmm24-devel >= 2.16
BuildRequires:  lcms2-devel  libjpeg-devel libtiff-devel
BuildRequires:  libpng-devel libiptcdata-devel desktop-file-utils
BuildRequires:  expat-devel

Requires:       hicolor-icon-theme
# This package is rawtherapee with extra patches from the -staging repo
Conflicts:	rawtherapee


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.


%prep
%setup -q

# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt

# Do not install useless rtstart:
sed -i "s|install (PROGRAMS rtstart|\#install (PROGRAMS rtstart|" CMakeLists.txt

# Drop version detection by mercurial:
sed -i "s|list(APPEND ABOUT_COMMAND_WITH_ARGS.*cmake\")||" CMakeLists.txt

# Tell version
cat > rtgui/version.h << EOF
#ifndef _VERSION_
#define _VERSION_

#define VERSION "Latest tag: 4.0.9, CSet 1938:ca684d56e7d7"
#define TAGDISTANCE 50
#define CACHEFOLDERNAME "RawTherapee${CACHE_NAME_SUFFIX}"
#endif
EOF

cat > AboutThisBuild.txt << EOF
See package informations
EOF

%build
%{cmake} %{?BUILD_TESTS} -DLIBDIR=%{_libdir} -DCMAKE_BUILD_TYPE=None -DCACHE_NAME_SUFFIX:STRING=%{version} .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# change .desktop filename (staging)
mv $RPM_BUILD_ROOT/%{_datadir}/applications/rawtherapee.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# These file are taken from the root already
rm $RPM_BUILD_ROOT/%{_datadir}/doc/rawtherapee/*.txt


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications || :

/sbin/ldconfig

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt COMPILE.txt
%{_mandir}/man1/rawtherapee.1.gz
%{_bindir}/rawtherapee
%{_libdir}/*.so
%{_datadir}/rawtherapee/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png


%changelog
* Wed Jun 27 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.9-0.4.hg
 - New build from: Latest tag: 4.0.9, CSet 1938:ca684d56e7d7 with distance 50

* Wed Jun 20 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.9-0.3.hg
 - New build from: Latest tag: 4.0.9, CSet 1923:f956a9d036d6 with distance 35

* Fri Jun 15 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.9-0.2.hg
 - New build from: Latest tag: 4.0.9, CSet 1907:c311d3ba3f67 with distance 19

* Sun Jun 3 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.9-0.1.hg
 - New build from: Latest tag: 4.0.9, CSet 1889:3612e73e0a69 with distance 1

* Wed May 16 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.8-0.1.hg
 - New build from: Latest tag: 4.0.8, CSet 1861:b30fcbdfaa69 with distance 34

* Tue May 15 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.7-0.5.hg
 - New build from:  with distance 

* Mon Apr 2 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.7-0.4.hg
 - New build from:  with distance 

* Mon Apr 2 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.7-0.3.hg
 - New build from:  with distance 

* Thu Mar 29 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.7-0.2.hg
 - New build from:  with distance 

* Wed Mar 28 2012 Thibault North <tnorth@fedoraproject.org> - 4.0.7-0.1.hg
 - New build from: Latest tag: 4.0.7, CSet 1809:92d0e1a9fdd9 with distance 31

* Sun Mar 18 2012 Thibault North <tnorth@fedoraproject.org> - 4.0-0.19.hg
 - New build from: Latest tag: 4.0.7, CSet 1803:fdbe27ac174b with distance 27

* Mon Mar 12 2012 Thibault North <tnorth@fedoraproject.org> - 4.0-0.18.hg
 - New build from: Latest tag: 4.0.7, CSet 1795:91de72965622 with distance 23

* Thu Jan 26 2012 Thibault North <tnorth@fedoraproject.org> - 4.0-0.17.hg
 - New build from: Latest tag: 4.0.6, CSet 1749:18678158c6e2 with distance 62

* Sat Jan 21 2012 Thibault North <tnorth@fedoraproject.org> - 4.0-0.16.hg
 - New build from: Latest tag: 4.0.6, CSet 1738:78318196e0de with distance 58

* Fri Dec 30 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.15.hg
 - New build from: Latest tag: 4.0.6, CSet 1717:2c1afe0fd883 with distance 40

* Fri Dec 16 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.14.hg
 - New build from: Latest tag: 4.0.5, CSet 1692:d40209c8298b with distance 43

* Sun Dec 11 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.13.hg
 - New build from: Latest tag: 4.0.6, CSet 1682:2bfb4b5255a7 with distance 19

* Tue Dec 6 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.12.hg
 - New build from: Latest tag: 4.0.6, CSet 1674:69b8bd8bb944 with distance 17

* Sat Dec 3 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.11.hg
 - New build from: Latest tag: 4.0.6, CSet 1670:eda4134c4a2b with distance 15

* Thu Dec 1 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.10.hg
 - New build from: Latest tag: 4.0.6, CSet 1662:643dcde3c0a2 with distance 14

* Tue Nov 29 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.9.hg
 - New build from: Latest tag: 4.0.6, CSet 1646:286a06753099 with distance 3

* Mon Nov 28 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.8.hg
 - New build from: Latest tag: 4.0.5, CSet 1641:0ce4888d5700 with distance 16

* Thu Nov 24 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.7.hg
 - New build from: Latest tag: 4.0.5, CSet 1636:66393e581aa3 with distance 13

* Tue Nov 22 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.6.hg
 - New build from: Latest tag: 4.0.5, CSet 1635:e64205d1366b with distance 12

* Mon Oct 24 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.5.hg
 - New build from: Latest tag: 4.0.4, CSet 1583:1a1fe5838576 with distance 4

* Mon Sep 19 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.4.hg
 - New build from: Latest tag: 4.0.3, CSet 1546:82a49184fbe9 with distance 3

* Tue Sep 13 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.3.hg
 - New build from: Latest tag: 4.0.2, CSet 1536:5a13850dc04a with distance 31

* Tue Sep 6 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.2.hg
 - New build from: Latest tag: 4.0.2, CSet 1529:197beeb5e6d2 with distance 26

* Tue Aug 30 2011 Thibault North <tnorth@fedoraproject.org> - 4.0-0.1.hg
 - New build from: Latest tag: 4.0.2, CSet 1507:e0e8e2245c88 with distance 7

* Sun Aug 21 2011 Thibault North <tnorth@fedoraproject.org> - 3.0.0-0.1.hg
 - New build from: Latest tag: 4.0.1, CSet 1483:83ab4299b1ad with distance 10

* Thu Aug 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.89.a1
 - New build from: Latest tag: 4.0.1, CSet 1481:db2e1c9fa6d2 with distance 8

* Thu Jul 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.88.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1382:ec8a1afe7bf6 with distance 64

* Mon Jul 4 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.87.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1376:53007480d300 with distance 58

* Mon Jun 27 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.86.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1343:0da061bc16bb with distance 35

* Thu Jun 23 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.85.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1329:930edc6947ba with distance 26

* Tue Jun 21 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.84.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1326:77917956a16b with distance 23

* Sun Jun 19 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.83.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1323:3f39f6299197 with distance 21

* Wed Jun 15 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.82.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1314:c0f1001b7cf8 with distance 14

* Fri Jun 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.81.a1
 - New build from: Latest tag: Dev-3.1m6, CSet 1300:90b8dcb885c0 with distance 2

* Wed Jun 8 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.80.a1
 - Fix crash at startup

* Wed Jun 8 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.79.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1291:573fe6c00561 with distance 19

* Tue Jun 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.78.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1280:a3575421be85 with distance 13

* Wed Jun 1 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.77.a1
 - New build from: Latest tag: Dev-3.1m5, CSet 1269:0cb962492436 with distance 3

* Tue May 24 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.76.a1
 - New build from: Latest tag: Dev-3.1m4, CSet 1256:9f591c317703 with distance 9

* Mon May 16 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.75.a1
 - New build from: Latest tag: Dev-3.1m4, CSet 1246:39290934baaf with distance 3

* Tue May 10 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.74.a1
 - New build from: Latest tag: Dev-3.1m3, CSet 1232:2e882f2e8bfe with distance 4

* Mon Apr 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.73.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1131:218f151ba05e with distance 37

* Tue Apr 5 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.72.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1109:ecf187fc8c32 with distance 29

* Fri Mar 25 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.71.a1
 - New build from: Latest tag: Dev-3.1m1, CSet 1071:56fcfe828d61 with distance 12

* Fri Mar 18 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.70.a1
 - New build from: Latest tag: Dev-3.1, CSet 1049:d24a6a102cb4 with distance 84

* Tue Mar 15 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.69.a1
 - New build from: Latest tag: Dev-3.1, CSet 1044:ad3a995b1301 with distance 83

* Fri Mar 11 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.68.a1
 - New build from: Latest tag: Dev-3.1, CSet 1037:c440a58c1cfc with distance 76

* Mon Mar 7 2011 Thibault North <tnorth@fedoraproject.org> - 3.0-0.67.a1
 - New build from: Latest tag: Dev-3.1, CSet 1033:d6cdc043c840 with distance 73
